JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const action = await client.workflows.actions.create({
catalogEntryId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
name: 'x',
});
console.log(action.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
action = client.workflows.actions.create(
catalog_entry_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
name="x",
)
print(action.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
action, err := client.Workflows.Actions.New(context.TODO(), mobileruncloud.WorkflowActionNewParams{
CatalogEntryID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
Name: "x",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", action.Data)
}mobilerun-cloud workflows:actions create \
--api-key 'My API Key' \
--catalog-entry-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--name xcurl --request POST \
--url https://api.mobilerun.ai/actions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"catalogEntryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"params": {}
}
'
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"catalogEntryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"method": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"params": "<unknown>",
"paramsSchema": "<unknown>"
}
}Actions
Create an action
Create a reusable action from a catalog entry (catalogEntryId), with an optional params object supplying the values for that entry’s service method. Returns 400 if the params are invalid for the chosen catalog entry.
POST
/
actions
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const action = await client.workflows.actions.create({
catalogEntryId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
name: 'x',
});
console.log(action.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
action = client.workflows.actions.create(
catalog_entry_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
name="x",
)
print(action.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
action, err := client.Workflows.Actions.New(context.TODO(), mobileruncloud.WorkflowActionNewParams{
CatalogEntryID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
Name: "x",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", action.Data)
}mobilerun-cloud workflows:actions create \
--api-key 'My API Key' \
--catalog-entry-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--name xAuthorizations
Bearer token via Authorization header
Body
application/json
Response
Action created
Show child attributes
Show child attributes
Was this page helpful?
⌘I